コンテンツへスキップ

Flux Kontext Trainer

統合

モデルID flux-kontext-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $2.50 2,500 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Black Forest Labs トレーニング

対応する開始画像と終了画像のzipからKontext [dev] LoRAをトレーニング

Black Forest Labs · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

入力ZIPアーカイブのURL。アーカイブにはROOT_start.EXTとROOT_end.EXTという名前の画像ペア(photo_start.jpgとphoto_end.jpgなど)が含まれている必要があります。各ペアには編集指示を含むROOT.txt(photo.txtなど)を付けることもできます。そのテキストファイルがない場合はdefault_captionが指示を提供します。default_captionもない場合、学習は失敗します。

デフォルト 1000

トレーニングの総ステップ数。

詳細設定 default_caption · learning_rate

欠落したキャプションファイルの代わりに使用するキャプション。Noneを指定すると、欠落をエラーとして扱います。

デフォルト 0.0001
POST /run/flux-kontext-trainer?wait=20 見積もり → $2.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Flux Kontext Trainerについて

変換前後の対応例を使ってKontext用LoRAをファインチューニングします。`image_data_url`はROOT_start.EXTおよびROOT_end.EXTという名前のファイルを含むzipを指します。`steps`は1~10000(デフォルト1000)、`learning_rate`、キャプションファイルのないペア用の`default_caption`を設定できます。LoRAの重みと設定ファイルを返します。

パラメータ

名前型 デフォルト許可される値 説明
image_data_url必須
型string
入力ZIPアーカイブのURL。アーカイブにはROOT_start.EXTとROOT_end.EXTという名前の画像ペア(photo_start.jpgとphoto_end.jpgなど)が含まれている必要があります。各ペアには編集指示を含むROOT.txt(photo.txtなど)を付けることもできます。そのテキストファイルがない場合はdefault_captionが指示を提供します。default_captionもない場合、学習は失敗します。
steps任意
型integer
デフォルト1000
1 – 10,000
トレーニングの総ステップ数。
learning_rate任意
型number
デフォルト0.0001
default_caption任意
型string | null
欠落したキャプションファイルの代わりに使用するキャプション。Noneを指定すると、欠落をエラーとして扱います。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-kontext-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2500,
    "usd": "2.50",
    "charged": 2500,
    "refunded": 0
  },
  "input": {
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers形式のトレーニング済みLoRA重みを指すURL。
config_file
object {url, content_type, file_name, file_size}トレーニング済みモデルの設定ファイルを指すURL。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-kontext-trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt